# $Revision: 1.18.2.1.2.1 $, $Date: 2003/08/14 13:36:10 $
# register glade-2.0.dtd
Summary:	libglade library
Summary(es):	El libglade permite que usted cargue archivos del interfaz del glade
Summary(pl):	Biblioteka do adowania definicji interfejsu generowanego programem glade
Summary(pt_BR):	Esta biblioteca permite carregar arquivos da interface glade
Name:		libglade2
Version:	2.0.1
Release:	3
Epoch:		1
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libglade/2.0/libglade-%{version}.tar.bz2
# Source0-md5:	4d93f6b01510013ae429e91af432cfe2
Patch0:		%{name}-xmldoc.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.0.7
BuildRequires:	gtk+2-devel >= 1:2.0.9
BuildRequires:	gtk-doc
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	python-modules
URL:		http://www.gnome.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libglade2.0

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_gtkdocdir	%{_defaultdocdir}/gtk-doc/html

%description
This library allows you to load user interfaces in your program, which
are stored externally. This allows alteration of the interface without
recompilation of the program. The interfaces can also be edited with
GLADE.

%description -l es
El libglade permite que usted cargue archivos del interfaz del glade
en tiempo de ejecucin.

%description -l pl
Biblioteka libglade umoliwia dynamiczne adowanie definicji
interfejsu uytkownika generowanego za pomoc programu glade. Taka
separacja definicji interfejsu umoliwia prac nad nim bez
koniecznoci rekompilacji programu.

%description -l pt_BR
O libglade permite carregar, em tempo de execuo, arquivos da
interface glade. No  necessrio ter o glade instalado, mas esta  a
melhor maneira de criar os arquivos de interface.

%package devel
Summary:	Libraries, includes, etc to develop libglade applications
Summary(es):	Archivos necesarios para el desarrollo de aplicaciones con libglade
Summary(pl):	Biblioteki, pliki nagwkowe i dokumentacja dla programisty
Summary(pt_BR):	Arquivos necessrios para o desenvolvimento de aplicaes com a interface glade
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk+2-devel
Requires:	gtk-doc-common
Requires:	libxml2-devel
Requires:	python-modules
Obsoletes:	libglade2.0-devel

%description devel
Libraries, include files, etc you can use to develop libglade
applications.

%description devel -l es
Archivos de inclusin y bibliotecas necesarias para el desarrollo de
aplicaciones con glade.

%description devel -l pl
Biblioteki, pliki nagwkowe i dokumentacja dla programisty.

%description devel -l pt_BR
Arquivos de incluso e bibliotecas para o desenvolvimento de
aplicaes com a interface glade.

%package static
Summary:	Static libglade library
Summary(es):	Archivos estticos necesarios para el desarrollo de aplicaciones con libglade
Summary(pl):	Biblioteka statyczna libglade
Summary(pt_BR):	Arquivos estticos necessrios para o desenvolvimento de aplicaes com a interface glade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libglade library.

%description static -l es
Archivos estticos necesarias para el desarrollo de aplicaciones con
glade.

%description static -l pl
Biblioteka statyczna libglade.

%description static -l pt_BR
Bibliotecas estticas para o desenvolvimento de aplicaes com a
interface glade.

%prep
%setup -q -n libglade-%{version}
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
glib-gettextize --copy --force
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-path=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/libglade/2.0

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	pkgconfigdir=%{_pkgconfigdir}


%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_libdir}/libglade
%{_datadir}/xml/libglade/*.dtd

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*
%{_includedir}/libglade-*
%{_gtkdocdir}/libglade

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libglade2.spec,v $
Revision 1.18.2.1.2.1  2003/08/14 13:36:10  trojan
- added source md5sum
- more BR

Revision 1.18.2.1  2003/01/02 13:15:26  trojan
- simplified {,Build}Requires

Revision 1.18  2002/11/25 14:16:53  ankry
- massive attack: no need for 755 for *.la

Revision 1.17  2002/10/24 09:32:11  malekith
- release 3

Revision 1.16  2002/10/10 13:20:09  trojan
- fixed for properly documentation building
- added BR: gtk-doc >= 0.9-4
- fixed source URL
- fixed %%files

Revision 1.15  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/09/09 10:47:56  kura
- release 2

Revision 1.13  2002/08/30 19:45:55  kloczek
- added libglade2.0{,-devel} to Obsoletes for allow upgrade from MDK.

Revision 1.12  2002/08/29 22:21:45  aflinta
- updated to version 2.0.1

Revision 1.11  2002/07/02 12:44:36  ankry
- Requires gtk-doc-common for -devel subpackage
- release 2

Revision 1.10  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/06/10 12:09:13  wiget
- updated to 2.0.0
- fix gettextizing
- add %{_libdir}/libglade/2.0 to package
- gtk-doc in proper place
- new %%doc

Revision 1.8  2002/05/21 23:13:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/12 13:36:16  kloczek
- updated to 1.99.12,
- removed outdated nogtkdoc patch.

Revision 1.6  2002/04/30 13:26:45  michuz
- typo

Revision 1.5  2002/04/30 13:24:55  michuz
- 1.9.11

Revision 1.4  2002/04/25 08:26:50  kloczek
- updated to 1.99.10.

Revision 1.3  2002/04/18 21:39:41  misiek
- disable gtk-doc (it's broken)

Revision 1.2  2002/04/12 20:36:44  marcus
- added --disable-gtk-doc to %%configure
- rel.2.

Revision 1.1  2002/03/11 11:25:20  misiek
- initial pld release

